Bug 187534 - Cannot change rr_min_io without rebooting
Cannot change rr_min_io without rebooting
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Depends On:
  Show dependency treegraph
Reported: 2006-03-31 13:35 EST by Rod Nayfield
Modified: 2010-01-11 21:24 EST (History)
10 users (show)

See Also:
Fixed In Version: RHEA-2007-0256
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 13:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rod Nayfield 2006-03-31 13:35:58 EST
Description of problem:

Cannot change rr_min_io on the fly

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. change rr_min_io in multipath.conf and re-run multipath
2. OR reload table with changed weights:
[root@clu1 mnt]# dmsetup table mpath2
0 122880000 multipath 0 0 1 1 round-robin 0 2 1 8:32 1000 8:80 1000
[root@clu1 mnt]# echo "0 122880000 multipath 0 0 1 1 round-robin 0 2 1 8:32 100
8:80 100" | dmsetup reload mpath2
[root@clu1 mnt]# dmsetup table mpath2
0 122880000 multipath 0 0 1 1 round-robin 0 2 1 8:32 1000 8:80 1000

Note that the rr is still 1000 1000
Comment 1 Alasdair Kergon 2006-03-31 13:39:15 EST
reload doesn't change the table until you issue a 'resume'
Comment 4 Rod Nayfield 2006-04-03 12:36:25 EDT

You need to unmount the filesystem, and stop LVM.  Once the map is unused you
can flush it and rebuild it...  

Sample commands:

umount /mnt/TEST/
vgchange -an
multipath -f mpath3
vgchange -ay
mount /mnt/TEST/

note you can localize this by giving vgchange an argument to a vg instead of
affecting all vg's on the system...

Comment 5 Ben Marzinski 2006-04-20 15:24:00 EDT
It's possible to fix this to work like change from multibus to failover, but it's
not straightforward.  If people are o.k. with it, I'd rather just document this,
and fix it when we do the next pull from multipath upstream.
Comment 6 Rod Nayfield 2006-04-20 16:11:09 EDT
I think that is fine.

we should make sure the documentation uses vgchange with a named group as
argument so people don't run vgchange -an and lose other volumes.

The other piece we should document is using vgchange -aln with clvm so you can
change the min io's on, say, a gfs volume...

Comment 7 Ben Marzinski 2006-12-04 11:26:33 EST
You are now able to change rr_min_io just like you can change multibus and failover.
Comment 8 RHEL Product and Program Management 2006-12-04 12:05:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Kiersten (Kerri) Anderson 2007-01-31 13:09:19 EST
Devel ACK - need QE ACK
Comment 13 Red Hat Bugzilla 2007-05-01 13:35:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.